Docs
Search the docs
Find a page in the docs

API reference

Retrieve a payment

Get a payment by id.

GET /v1/payments/{payment_id}

Path parameters

payment_id string required
The payment id, starting with pay_.

Request

curl https://api.camelpayment.com/v1/payments/pay_01JBX7Q2M4N8K5R6T9V3W1Y0ZA \
  -H "Authorization: Bearer $CAMEL_API_KEY"

Response

200
{
  "id": "pay_01JBX7Q2M4N8K5R6T9V3W1Y0ZA",
  "object": "payment",
  "provider": "mercadopago",
  "connection_id": "con_01JBX7P8H2D4F6G8J0K2M4N6QR",
  "provider_payment_id": "1342345678",
  "amount": 1500000,
  "currency": "ARS",
  "conversion": null,
  "usd_amount": 971,
  "status": "approved",
  "provider_status": "approved",
  "description": "Order #1524",
  "external_reference": "ORDER-1524",
  "payment_method": {
    "type": "card",
    "brand": "visa",
    "last4": "4242"
  },
  "failure": null,
  "metadata": {
    "order_id": "1524"
  },
  "next_action": null,
  "created_at": "2026-11-12T15:04:05Z",
  "updated_at": "2026-11-12T15:04:07Z"
}

Errors

StatusWhen
401 The API key is missing, malformed, or revoked.
404 No payment with this id in this environment.
429 Too many requests. Wait for Retry-After seconds.